> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zayo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get advertised routes



## OpenAPI

````yaml /openapi.json get /service/{tenant_name}/bgp/neighbor/{remote_router_ip}/advertised_routes
openapi: 3.1.0
info:
  title: NIRO API
  description: Tenant API shema for NIRO
  version: NIRO-2.13.0
servers: []
security: []
tags:
  - name: service - aws
    description: >-
      Management of AWS cloud credentials, enabling seamless integration and
      automated connectivity
  - name: service - looking glass
    description: Test network connectivity
  - name: service - SDR
    description: >-
      Management for SDR (Session Details Records), a superset of classic
      NetFlow data
  - name: tenant
    description: >-
      Manage tenant-related information like packages and services as well as
      contact information
  - name: tenant - virtual interface
    description: Management for VIs (Virtual Interfaces)
  - name: group
    description: >-
      Predefined Groups of IP prefixes and IPs ready to be used in filters for
      firewall and other services
  - name: sites
    description: >-
      Manage information about sites providing network reach to order new
      Customer Ports
paths:
  /service/{tenant_name}/bgp/neighbor/{remote_router_ip}/advertised_routes:
    get:
      tags:
        - service - routing - BGP
      summary: Get advertised routes
      operationId: >-
        get_advertised_routes_service__tenant_name__bgp_neighbor__remote_router_ip__advertised_routes_get
      parameters:
        - name: remote_router_ip
          in: path
          required: true
          schema:
            type: string
            title: Remote Router Ip
        - name: tenant_name
          in: path
          required: true
          schema:
            title: Tenant Name
        - name: gate_vi_name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Gate Vi Name
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdvertisedRoutes'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearerFromCookie: []
components:
  schemas:
    AdvertisedRoutes:
      properties:
        advertisedRoutes:
          additionalProperties: true
          type: object
          title: Advertisedroutes
        totalPrefixCounter:
          type: integer
          title: Totalprefixcounter
        filteredPrefixCounter:
          type: integer
          title: Filteredprefixcounter
      type: object
      required:
        - advertisedRoutes
        - totalPrefixCounter
        - filteredPrefixCounter
      title: AdvertisedRoutes
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearerFromCookie:
      type: http
      scheme: bearer

````